﻿// Copyright 2014 Yves Desgraupes
// This file is part of BaseReader.
// 
// BaseReader is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// BaseReader is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with BaseReader.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BaseReaderPluginInterfaces;
using System.IO;
using System.Windows;

namespace ImageViewer
{
    public class ImageViewer : IBaseReaderPlugin
    {
        private String[] m_SupportedExt = new String[] { ".bmp", ".png", ".jpg", ".jpeg", ".gif", ".ico", "wdp", ".tiff", ".tif" };

#region IBaseReaderPlugin

        public String[] SupportedExtensions { get { return m_SupportedExt; } }
        public String Name { get { return "ImageViewer"; } }
        public String Description { get { return "Standard pictures formats"; } }
        
        public IBaseReaderItem OpenFile(String _FilePath)
        {
            GenericBaseReaderItem elem = new GenericBaseReaderItem()
            {
                ViewItem = new System.Windows.Controls.Image()
                {
                    Source = new System.Windows.Media.Imaging.BitmapImage(new Uri(_FilePath))
                }
            };

            return elem;
        }

        public void OnFileSelected(IBaseReaderItem _SelectedItem)
        {
        }

        public void OnFileClosed(IBaseReaderItem _SelectedItem)
        {
        }

#endregion
    }
}
